version = "3.4.0"

# These can be used to delimit zone to do not format
# // format: off
# // format: on
#
# Only format files tracked by git.
# project.git = true
#
# manually exclude/include files to format.
project.excludeFilters = [ build.sbt ]
# project.includeFilters = [regex1, regex2]

runner.dialect = scala213
maxColumn = 120
project.git = true
align {
    preset = more
    stripMargin = true
    multiline = true #x
    arrowEnumeratorGenerator = true
    openParenCallSite = true
    openParenDefnSite = true
    tokens."+" = [
                  {code = "=>", owner = "Case"},
                  {code = "%", owner = "Term.ApplyInfix"},
                  {code = "%%", owner = "Term.ApplyInfix"}
                ]
}


rewrite.rules = [
  SortImports,
  SortModifiers
]

rewriteTokens = {
  "⇒": "=>"
  "→": "->"
  "←": "<-"
}

verticalMultiline {
    atDefnSite = true
    arityThreshold = 100
}
